<?php  
	include "conexion.php";
	include "insertar_log.php";

	$secuencia = $_GET['secuencia'];
	$id_aplicacion = $_GET['id_aplicacion'];
	$id_transaccion=0;
	$id_venta=0;

	$control =0;

	$datos = " Ingresa a obtener_respuesta_transaccion_puntos secuencia= ".$secuencia;	
	insertarLog($datos,$id_aplicacion);

	$sql = "SELECT ";
	$sql .="id_equipo_clase, ";
	$sql .="id_equipo, ";
	$sql .="id_comando, ";
	$sql .="res_dato, ";
	$sql .="estado ";
	$sql .="from ";
	$sql .="comandos ";
	$sql .="where ";
	$sql .="id_aplicacion= ".$id_aplicacion." and ";
	$sql .="id_secuencia= ".$secuencia." ";

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
    	$datos = " Error al consultar comando secuencia= ".$secuencia;	
		insertarLog($datos,$id_aplicacion);
        echo response(1,"Error al consultar comando","");
        return;
    }
	
    while ($row=$resultado->fetch_assoc())
    {
    	$_id_equipo_clase = $row['id_equipo_clase'];
        $_id_equipo = $row['id_equipo'];
        $_id_comando = $row['id_comando'];
        $_dato = $row['res_dato'];
        $estado = $row['estado'];
        $control = 1;
    }

    $resultado->free();

    if($control==0)
    {
    	$datos = " Error no existe comando secuencia= ".$secuencia;	
		insertarLog($datos,$id_aplicacion);
    	echo response(2,"No existe","");
        return;

    }

    if($control==1)
    {
    	if($estado==1||$estado==0)
    	{
    		$datos = " Procesando comando secuencia= ".$secuencia;	
			insertarLog($datos,$id_aplicacion);
    		echo response(1,"Procesando","");
	        return;
    	}

    	

    	$sql = "delete from ";
	    $sql .= "gaslight.comandos ";
	    $sql .= "where ";
	    $sql .= "id_aplicacion = ".$id_aplicacion." and ";
	    $sql .= "id_secuencia = ".$secuencia." ";

	     $resultado = $conexion->query($sql); 

	    if($resultado == false)
	    {
	    	$datos = " Error al eliminar comando secuencia= ".$secuencia;	
			insertarLog($datos,$id_aplicacion);
	        echo response(1,"Error al eliminar comando","");
	        return;
	    }

	    $arreglo = explode("|", $_dato);

	    if($arreglo[0]==0)
	    {
	    	$datos = " Error al crear Transaccion de puntos ";	
			insertarLog($datos,$id_aplicacion);
	    	$respuesta["respuesta"] = "Error al crear Transaccion de puntos";

	    	echo response(0,"",json_encode($respuesta));
	    	return;

	    }
	    else
	    {
	    	$sql = "select ";
		    $sql .= "e.id_estacion, ";
		    $sql .= "e.razon_social, ";
		    $sql .= "e.rfc, ";
		    $sql .= "e.numeroCRE, ";
		    $sql .= "cat.descripcion ";
		    $sql .= "from ";
		    $sql .= "estacion e ";
		    $sql .= "left join cat_tipo_estacion cat on (cat.tipo=e.tipo) ";

			$sentencia = $conexion->prepare($sql);

			$sentencia->execute();

			$resultado = $sentencia->get_result();

			if($fila = $resultado->fetch_assoc())
			{
				$estacion= $fila;
			}


			$respuesta["estacion"]=$estacion;

			$datos = " Se creo la Transaccion de Puntos:".$arreglo[0]."-".$_dato;	
			insertarLog($datos,$id_aplicacion);
			
	    	$respuesta["respuesta"] = "Se creo la Transaccion de Puntos:".$arreglo[0]."-".$_dato;
	    	echo response(0,"",json_encode($respuesta));
	    	
	        return;
	    }

	    

    }

    $datos = " Termina Proceso obtener_respuesta_transaccion_puntos";	
			insertarLog($datos,$id_aplicacion);

    echo response(0,"","");
	return;

    
	
	


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}
?>